Bug 851412 - The warning message pop up 8 times repeatly when there is no enough free space to allocate for virt-install
The warning message pop up 8 times repeatly when there is no enough free spac...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-virtinst (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Giuseppe Scrivano
Virtualization Bugs
:
Depends On:
Blocks: 1034685 1122059
  Show dependency treegraph
 
Reported: 2012-08-24 02:39 EDT by Cui Lei
Modified: 2014-07-22 09:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1034685 1122059 (view as bug list)
Environment:
Last Closed: 2013-12-06 09:32:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cui Lei 2012-08-24 02:39:07 EDT
Description of problem:
The warning message pop up 8 times repeatly when there is no enough free space to allocate for virt-install.
For example:
#virt-install -n vm1 -r 1024 --disk path=vm1.img,size=100000000 -c /dev/cdrom
WARNING  The filesystem will not have enough free space to fully allocate the sparse file when the guest is running. 102400000000 M requested > 183327 M available
WARNING  The filesystem will not have enough free space to fully allocate the sparse file when the guest is running. 102400000000 M requested > 183327 M available
WARNING  The filesystem will not have enough free space to fully allocate the sparse file when the guest is running. 102400000000 M requested > 183327 M available
WARNING  The filesystem will not have enough free space to fully allocate the sparse file when the guest is running. 102400000000 M requested > 183327 M available
WARNING  The filesystem will not have enough free space to fully allocate the sparse file when the guest is running. 102400000000 M requested > 183327 M available
WARNING  The filesystem will not have enough free space to fully allocate the sparse file when the guest is running. 102400000000 M requested > 183327 M available
WARNING  The filesystem will not have enough free space to fully allocate the sparse file when the guest is running. 102400000000 M requested > 183327 M available
WARNING  The filesystem will not have enough free space to fully allocate the sparse file when the guest is running. 102400000000 M requested > 183327 M available
ERROR    The filesystem will not have enough free space to fully allocate the sparse file when the guest is running. 102400000000 M requested > 183327 M available (Use --prompt or --force to override)



Version-Release number of selected component (if applicable):
python-virtinst-0.600.0-8.el6.noarch

How reproducible:
100%

Steps to Reproduce:
Run a virt-convert command with unknown output format
#virt-install -n vm1 -r 1024 --disk path=vm1.img,size=100000000 -c /dev/cdrom
check the warning and error messages

Actual results:
The warning message pop up 8 times repeatly

Expect result:
The warning message should display one time

Note You need to log in before you can comment on or make changes to this bug.